httpd-apreq-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Stas Bekman <s...@stason.org>
Subject Re: libapreq-1.2 release candidate
Date Thu, 01 May 2003 01:11:27 GMT
David Wheeler wrote:
> On Wednesday, April 30, 2003, at 07:17  PM, Stas Bekman wrote:
> 
>> I've just changed the prerequisite:
>>
>>    my %require = (
>>   -    "Apache::Test" => "", # any version will do
>>   +    "Apache::Test" => "1.0",
>>    );
> 
> 
> I'm not sure that will help. See below.
> 
>> Does this solve the problem?
>>
>> Index: lib/Apache/TestMM.pm
>> ===================================================================
>> RCS file:  
>> /home/cvs/httpd-test/perl-framework/Apache-Test/lib/Apache/TestMM.pm,v
>> retrieving revision 1.24
>> diff -u -r1.24 TestMM.pm
>> --- lib/Apache/TestMM.pm        27 Mar 2003 07:57:06 -0000      1.24
>> +++ lib/Apache/TestMM.pm        1 May 2003 00:17:15 -0000
>> @@ -6,6 +6,7 @@
>>  use Config;
>>  use Apache::TestConfig ();
>>  use Apache::TestTrace;
>> +use Apache::Test;
>>
>>  sub import {
>>      my $class = shift;
> 
> 
> No, it doesn't. However, removing Apache::test _does_ solve the  
> problem. I'm suspecting that Perl is, for some reason, loading  
> Apache::test instead of Apache::Test, because it finds it first in  
> @INC, and because Mac OS X's HFS+ has a case-insensitive file system.  

That's terrible :( What if you replace 'require Apache::Test' in Makefile.PL 
with: do 'Apache/Test.pm', does it still find 'Apache/test.pm'?

Is there a special perl mode for 'require' that makes things case sensitive?

__________________________________________________________________
Stas Bekman            JAm_pH ------> Just Another mod_perl Hacker
http://stason.org/     mod_perl Guide ---> http://perl.apache.org
mailto:stas@stason.org http://use.perl.org http://apacheweek.com
http://modperlbook.org http://apache.org   http://ticketmaster.com


Mime
View raw message